@media (max-width:1700px) {
    .container-fluid {
        max-width: 1500px;
        padding-left: 10px;
        padding-right: 10px;
    }

    .guarantee_card {
        width: 85%;
    }

    .associated_with {
        width: 85%;
    }

    .offcanvas_width {
        width: 34% !important;
    }
}

@media (max-width:1366px) {
    .container-fluid {
        max-width: 100%;
        padding-left: 20px;
        padding-right: 20px;
    }

    .container {
        max-width: 80%;
    }

    .middle_logo_nav {
        padding-top: 15px;
        padding-bottom: 16px;
    }

    .main-logo {
        width: 25%;
    }

    .main-logo a img {
        width: 145px;
    }

    .search_bar_width {
        width: 35%;
    }

    .ecom_menu li {
        margin: 0px 7px;
    }

    .offcanvas_width {
        width: 40% !important;
    }

    .banner_flex {
        width: 100%;
        height: 520px;
    }

    .guarantee_col .guarntee_cont h6 {
        font-size: 20px;
    }

    .guarantee_col span {
        font-size: 54px;
        line-height: 54px;
    }

    .scroll_logos .associated_logo img {
        width: 85px;
    }

    .products_tab {
        margin-bottom: 16px;
    }

    .products_tab h3 {
        font-size: 23px;
    }

    .product_card {
        padding: 0px 6px;
    }

    .gap_card {
        padding: 2px;
        margin-bottom: 27px;
    }

    .product_card .prod_img {
        height: 210px;
    }

    .product_price h2 {
        font-size: 15px;
        margin-right: 8px;
    }

    .footer_all_menu .footer_help {
        width: 22%;
    }

    .main-image img {
        height: 420px;
    }

    .sele_card a {
        padding: 10px 13px;
    }

    .quantity-btn {
        padding: 2px 15px;
    }

    .product_price_dtls {
        margin-top: 20px;
    }

    .similar_product_section h4 {
        font-size: 23px;
    }

    .filter_for_category {
        display: none;
    }

    .category_menu {
        width: 20% !important;
    }

    .category_products {
        width: 79% !important;
    }

    .category_flex {
        padding-top: 5px;
    }

    .container {
        width: 100%;
        padding-left: 20px;
        padding-right: 20px;
    }
}

@media (max-width:1250px) {
    .container {
        max-width: 90%;
    }

    .offcanvas_width {
        width: 45% !important;
    }

    .search_bar_width {
        width: 40%;
    }

    .search_icon {
        font-size: 17px;
    }

    .search_bar {
        padding: 3px;
    }

    .guarantee_card {
        width: 90%;
        padding: 22px;
        margin: 0px auto 0px auto;
    }

    .guarantee_col {
        width: 24%;
    }

    .guarantee_col .guarntee_cont h6 {
        font-size: 22px;
        line-height: 24px;
    }

    .guarantee_col span {
        font-size: 49px;
        line-height: 50px;
        margin-right: 10px;
    }

    .scroll_logos .associated_logo img {
        width: 80px;
    }

    .associated_with {
        width: 90%;
    }

    .product_card {
        width: 25%;
        height: auto;
        padding: 0px 10px;
    }

    .product_card .prod_img {
        height: 215px;
    }

    .footer_all_menu .footer_width {
        width: 16%;
    }

    .footer_all_menu .footer_help {
        width: 24%;
    }

    .footer_all_menu .footer_subscribe {
        width: 26%;
    }

    .maagnum_address {
        display: flex;
        gap: 0px;
        flex-direction: column;
    }

    .register_office_add h6 {
        display: none;
    }

    .cat_prod_card {
        padding: 0px 5px;
    }

    .banner_flex {
        width: 100%;
        height: 500px;
    }

    .copyright .maagnum_address img {
        width: 130px;
    }

    .cat_sub_menu {
        padding-left: 0px;
    }

    .category_menu {
        width: 27% !important;
    }

    .category_products {
        width: 72% !important;
    }

    .cat_prod_card {
        width: 33.33% !important;
    }

}

@media (max-width:1199px) {
    .btn_primary {
        font-size: 13px;
    }

    .offcanvas_width {
        width: 48% !important;
    }

    .category_menu {
        width: 27%;
    }

    .category_products {
        width: 72%;
    }

    .cat_prod_card {
        width: 33% !important;
    }

    .cat_prod_card .prod_img {
        height: 215px;
    }

    .similar_product_card_img {
        height: 195px !important;
    }

    .clickTop {
        width: 55px;
        height: 55px;
    }

    .banner_flex {
        width: 100%;
        height: 440px;
    }

    .product_price_dtls {
        margin-top: 10px;
    }

    .similar_product_section {
        width: 100%;
        margin-bottom: 50px;
    }

    .guarantee_card {
        margin: 0px auto 0px auto;
    }
}

@media (max-width:991px) {
    .top_header_flex .locate_store p {
        font-size: 15px;
    }

    .ecom_contains ul li a {
        font-size: 15px;
    }

    .main-logo {
        width: 18%;
    }

    .ecom_menu_width {
        width: 36%;
    }

    .main-logo a img {
        width: 130px;
    }

    .search_bar {
        padding: 0px;
    }

    .search_bar_width {
        width: 42%;
    }

    .search_icon {
        display: none;
    }

    .search_bar .sele_search {
        width: 40%;
    }

    .search_bar .search_input {
        width: 60%;
    }

    .guarantee_card {
        width: 100%;
        padding: 22px;
    }

    .guarantee_col span {
        font-size: 40px;
    }

    .guarantee_col .guarntee_cont h6 {
        font-size: 19px;
        line-height: 22px;
    }

    .associated_with {
        width: 75%;
    }

    .scroll_logos .associated_logo img {
        width: 70px;
    }

    .banner_flex {
        width: 100%;
        height: 350px;
    }

    .guarantee_card {
        margin: 0px auto 0px auto;
    }

    .offcanvas_width {
        width: 55% !important;
    }

    .products_tab h3 {
        font-size: 21px;
    }

    .product_card .prod_img {
        height: 180px;
    }

    .product_price .discount {
        font-size: 14px;
        margin-right: 5px;
    }

    .product_price h2 {
        font-size: 14px;
        margin-right: 6px;
    }

    .footer_all_menu {
        flex-wrap: wrap;
    }

    .footer_all_menu .footer_help {
        width: 30%;
    }

    .footer_all_menu .footer_width {
        width: 21%;
    }

    .footer_all_menu .footer_subscribe {
        width: 35%;
    }

    .maintained_by img {
        width: 80px;
    }

    .copyright .maagnum_address img {
        width: 120px;
    }

    .cat_sub_menu {
        padding-left: 0px;
    }

    .cat_sub_menu ul {
        padding-top: 10px;
        padding-bottom: 10px;
        height: 40vh;
        overflow-y: scroll;
    }

    .main-image img {
        height: 370px;
    }

    .similar_product_card_img {
        height: 215px !important;
    }

    .register_maagnum .addv_area {
        display: none;
    }

    .register_maagnum {
        height: 555px;
    }

    .register_area {
        width: 100%;
        height: 100%;
        overflow-y: scroll;
    }

    .register_area ::-webkit-scrollbar {
        width: 5px;
    }

    .register_area .customer_entry {
        position: inherit;
        bottom: inherit;
        left: inherit;
        padding-left: 0px;
        margin-top: 30px;
    }

    .button_cart_txt {
        display: none;
    }

    .cart_button_icon {
        display: inline-block;
    }

    .add_prod_cart {
        width: 43px;
        height: 35px;
        display: inline-block;
    }

}

@media (max-width:767px) {
    .ecom_menu li a small {
        display: none;
    }

    .ecom_menu li {
        margin: 0px 12px;
    }

    .ecom_menu_width {
        width: 26%;
    }

    .search_bar_width {
        width: 52%;
    }

    .main-logo a img {
        width: 120px;
    }

    .fixed_banner {
        display: none;
    }

    .carousel_banner {
        width: 100%;
    }

    .banner_flex {
        height: 380px;
    }

    .guarantee_col .guarntee_cont h6 {
        font-size: 20px;
        line-height: 22px;
    }

    .guarantee_col {
        width: 23%;
    }

    .associated_with {
        width: 80%;
    }

    .offcanvas_width {
        width: 73% !important;
    }

    .profile_card {
        width: 240px;
        height: auto;
        top: 196%;
        right: -80px;
        left: inherit;
        padding: 10px 0px;
        transform: translate(0%);
    }

    .products_tab h3 {
        font-size: 20px;
    }

    .product_card {
        width: 33.33%;
        height: auto;
        padding: 0px 10px;
    }

    .guarantee_col span {
        display: none;
    }

    .footer_all_menu {
        justify-content: flex-start;
    }

    .footer_all_menu .footer_help {
        width: 38%;
    }

    .footer_all_menu .footer_width {
        width: 30%;
    }

    .footer_all_menu .footer_subscribe {
        width: 46%;
    }

    .maagnum_address {
        width: 60%;
    }

    .register_office_add a {
        font-size: 15px;
        line-height: 20px;
        display: block;
        padding-top: 3px;
    }

    .load_mode_btn {
        margin-top: 15px;
        margin-bottom: 80px;
    }

    .container {
        max-width: 100%;
    }

    .product-gallery {
        width: 70%;
    }

    .product_title {
        margin-top: 20px;
    }

    .similar_product_card_img {
        height: 195px !important;
    }

    .filter_for_category {
        display: block;
    }

    .category_menu {
        position: fixed;
        top: 0;
        right: 0;
        height: 100%;
        width: 40% !important;
        z-index: 99;
        background-color: var(--body-color);
        overflow-x: scroll;
        display: none;
    }

    .category_products {
        width: 100% !important;
    }

}

@media (max-width:575px) {
    .container-fluid {
        padding-left: 18px;
        padding-right: 18px;
    }

    .container {
        padding-left: 18px;
        padding-right: 18px;
    }

    .margin_zero_sm {
        margin: 0px !important;
    }

    .padding_zero_sm {
        padding: 0px !important;
    }


    .ecom_contains ul li a small {
        display: none;
    }

    .ecom_contains ul li {
        padding-left: 15px;
        padding-right: 15px;
    }

    .ecom_contains ul {
        gap: 0px;
    }

    .ecom_menu_width {
        width: 100%;
        position: fixed;
        left: 0;
        bottom: 0;
        background-color: var(--body-color);
        padding-top: 15px;
        padding-bottom: 10px;
    }

    .ecom_menu {
        justify-content: space-between;
        padding-left: 20px;
        padding-right: 20px;
    }

    .ecom_menu li a small {
        display: inline-block;
    }

    .ecom_menu li a i {
        color: var(--primary-color);
    }

    .main-logo {
        width: 24%;
    }

    .search_bar_width {
        width: 70%;
    }

    .sreach_bar {
        top: 3rem;
        left: auto;
        right: 0px;
        width: 120%;
    }

    .offcanvas_width {
        width: 95% !important;
        margin: 0px;
    }

    .profile_card {
        width: 250px;
        height: auto;
        bottom: 70px;
        top: auto;
        right: inherit;
        left: 50%;
        padding: 10px 0px;
        transform: translate(-50%);
    }

    .middle_logo_nav {
        padding-top: 15px;
        padding-bottom: 10px;
    }

    .guarantee_card {
        width: 100%;
        padding: 10px 15px;
        justify-content: flex-start;
    }

    .guarantee_col {
        width: 50%;
        border-right: none;
        padding-top: 9px;
        padding-bottom: 9px;
    }

    .guarantee_card {
        flex-wrap: wrap !important;
    }

    .guarantee_col span {
        display: inline-block;
    }

    .associated_with {
        width: 100%;
    }

    .product_card {
        width: 50%;
        padding: 0px 10px;
    }

    .product_card .prod_img {
        height: 190px;
    }

    .footer_section {
        padding-top: 40px;
    }

    .footer_all_menu .footer_help {
        width: 50%;
    }

    .footer_all_menu .footer_width {
        width: 50%;
    }

    .footer_all_menu .footer_subscribe {
        width: 70%;
    }

    .copyright {
        margin-bottom: 65px;
    }

    .clickTop {
        width: 55px;
        height: 55px;
        bottom: 90px;
    }

    .register_office_add a {
        font-size: 14px;
        line-height: 18px;
    }

    .payment_meth img {
        width: 37px;
    }

    .banner_flex {
        height: 320px;
    }

    .cat_prod_card {
        width: 50% !important;
    }

    .product-gallery {
        width: 90%;
    }

    .rating_prod {
        margin-top: 0px;
        padding-bottom: 10px;
    }

    .similar_product_card_img {
        height: 190px !important;
    }

    .category_menu {
        width: 55% !important;
    }

    .sticky_top {
        position: sticky;
        top: 0px;
    }

}

@media (max-width:480px) {
    .container-fluid {
        padding-left: 10px;
        padding-right: 10px;
    }

    .container {
        padding-left: 10px;
        padding-right: 10px;
    }

    .middle_logo_nav {
        padding-top: 8px;
        flex-direction: column;
    }

    .main-logo {
        width: 100%;
        text-align: center;
    }

    .search_bar_width {
        width: 100%;
        margin-top: 10px;
    }

    .search_bar {
        padding: 4px;
    }

    .guarantee_col .guarntee_cont h6 {
        font-size: 18px;
        line-height: 22px;
    }

    .product_card {
        width: 50%;
        padding: 0px 4px;
    }

    .product_card .prod_img {
        height: 180px;
    }

    .footer_width_sm {
        width: 50% !important;
    }

    .footer_help {
        width: 60%;
    }

    .footer_width {
        width: 40%;
    }

    .all_category {
        width: 84%;
        overflow-x: scroll;
    }

    .category_items .left_scroll,
    .category_items .right_scroll {
        width: 8%;
        text-align: center;
    }

    .footer_all_menu .footer_subscribe {
        width: 100%;
    }

    .copyright {
        flex-direction: column;
    }

    .maagnum_address {
        width: 100%;
    }

    .maintained_by {
        width: 100%;
        margin-top: 15px;
    }

    .payment_methood_downloadapp {
        flex-direction: column;
        align-items: start;
    }

    .download_app {
        width: 100%;
        margin-top: 15px;
    }

    .sreach_bar {
        width: 100%;
    }

    .banner_flex {
        height: 265px;
    }

    .guarantee_card {
        padding: 5px 15px;
    }

    .scroll_logos .associated_logo img {
        width: 65px;
    }

    .category_menu {
        width: 70% !important;
    }

    .product_price span {
        font-size: 12px;
    }

    .product-gallery {
        width: 100%;
    }

    .similar_product_card_img {
        height: 180px !important;
    }

    .order_head .order_id_detls {
        width: 80%;
    }

    .order_status ul li,
    .row_dtls ul li {
        display: flex;
        align-items: start;
        padding-top: 4px;
        padding-bottom: 4px;
    }

    .wishlist_product_details {
        width: 74%;
        display: flex;
    }

    .wishlist_btn {
        width: 23%;
        justify-content: center;
        gap: 10px;
    }

    .register_maagnum {
        height: 500px;
    }

    .count_product input {
    width: 42px;
}

}

@media (max-width:400px) {
    .all_category ul li {
        padding-left: 10px;
        padding-right: 10px;
    }

    .banner_flex {
        height: 220px;
    }

    .banner_section_ecom {
        padding-top: 10px;
        padding-bottom: 10px;
    }

    .guarantee_col span {
        font-size: 30px;
    }

    .guarantee_col .guarntee_cont h6 {
        font-size: 15px;
        line-height: 22px;
    }

    .guarantee_col {
        padding-top: 6px;
        padding-bottom: 6px;
    }

    .scroll_logos .associated_logo img {
        width: 60px;
    }

    .product_card .prod_img {
        height: 145px;
    }

    .product_price .discount {
        display: none;
    }

    .footer_all_menu .footer_help {
        width: 100%;
    }

    .footer_width {
        width: 100% !important;
    }

    .footer_width_sm {
        width: 100% !important;
    }

    .ecom_menu {
        padding-left: 10px;
        padding-right: 10px;
    }

    .input_flex {
        display: flex;
        flex-wrap: wrap;
    }

    .input_flex .input_half {
        width: 100%;
    }

    .button_icon {
        display: inline-block;
    }

    .button_txt {
        display: none;
    }

    .wishlist_btn .wish_cart_btn {
        width: 40px;
    }

    .wishlist_btn .wish_remove_btn {
        width: 40px;
    }

    .wishlist_product_details {
        width: 86%;
        display: flex;
    }

    .wishlist_btn {
        width: 12%;
    }

    .flex_address_row {
        flex-direction: column;
        align-items: start;
    }

    .default_add {
        justify-content: start;
    }

    .order_status ul li span {
        width: 44%;
    }

    .input_grp label {
        width: 60%;
        line-height: 18px;
    }

    .label_flex {
        align-items: start;
    }

    .main-image img {
        height: 325px;
    }

    .product_price_dtls span {
        font-size: 20px;
    }

    .product_price_dtls h2 {
        font-size: 20px;
    }

    .similar_product_card_img {
        height: 146px !important;
    }

    .similar_product_section h4 {
        font-size: 20px;
    }

    .input_grp label {
        width: 90%;
        line-height: 18px;
    }
    .products_amt_flex{
        flex-wrap: wrap;
    }

    .prod_total_amt h6{
        margin-top: 5px;
    }

}

@media (max-width:360px) {
    .top_header_flex .locate_store p {
        font-size: 13px;
    }

    .ecom_contains ul li {
        padding-left: 12px;
        padding-right: 12px;
    }

    .guarantee_col span {
        font-size: 24px;
    }

    .product_card .prod_img {
        height: 125px;
    }

    .category_menu {
        width: 75% !important;
    }

    .main-image img {
        height: 300px;
    }

    .similar_product_card_img {
        height: 125px !important;
    }

    .clickTop span {
        display: none;
    }

    .clickTop {
        width: 45px;
        height: 45px;
    }




}